/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.util;

/**
 * @author aruffie
 * Represent a exception occured into a
 * petals console
 */
public class PetalsConsoleException extends Exception{
    
    private static final long serialVersionUID = 1L;

    public PetalsConsoleException() {
        super();
    }

    /**
     * @param message
     *            the raw message explaining the cause of the error
     */
    public PetalsConsoleException(String message) {
        super(message);
    }

    /**
     * @param message
     *            the raw message explaining the cause of the error
     * @param e
     *            the exception
     */
    public PetalsConsoleException(String message, Throwable e) {
        super(message, e);
    }

    /**
     * @param e
     *            the exception
     */
    public PetalsConsoleException(Throwable e) {
        super(e);
    }
}
