package org.ow2.petals.tools.webconsole.xmlbeans;

import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;

import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;

import org.ow2.opensuit.xmlmap.XmlInstantiator;
import org.ow2.opensuit.xmlmap.annotations.XmlChildren;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.xml.sax.SAXException;


@XmlElement
public class Servers {
    @XmlChildren(direct=true, minOccurs=1)
    private Server[] servers;
    
    public static void main(String[] args) throws MalformedURLException, IOException, SAXException, ParserConfigurationException, FactoryConfigurationError
    {
        File f = new File("src/main/resources/webconsole.xml");
        XmlInstantiator xi = XmlInstantiator.instantiate(f.toURI().toURL(), null);
        Servers servers = (Servers) xi.getRoot();
    }

    public Server[] getServers() {
        return servers;
    }

    public void setServers(Server[] servers) {
        this.servers = servers;
    }
}
